{
    "$schema": "https://getcomposer.org/schema.json",
    "name": "maestro/core",
    "version": "1.0.29",
    "type": "library",
    "description": "Maestro CORE — Laravel + Vue + PrimeVue SPA foundation",
    "keywords": [
        "laravel",
        "vue",
        "primevue",
        "maestro"
    ],
    "license": "MIT",
    "require": {
        "php": "^8.3",
        "laravel/framework": "^13.0",
        "laravel/sanctum": "^4.3",
        "laravel/tinker": "^3.0",
        "spatie/laravel-activitylog": "^5.0",
        "spatie/laravel-permission": "^7.4"
    },
    "require-dev": {
        "fakerphp/faker": "^1.23",
        "laravel/pail": "^1.2.5",
        "laravel/pao": "^1.0.6",
        "laravel/pint": "^1.27",
        "mockery/mockery": "^1.6",
        "nunomaduro/collision": "^8.6",
        "orchestra/testbench": "^11.0",
        "phpunit/phpunit": "^12.5.12"
    },
    "autoload": {
        "psr-4": {
            "Maestro\\Core\\": "src/",
            "Maestro\\Core\\Database\\Factories\\": "src/Database/Factories/",
            "Maestro\\Core\\Database\\Seeders\\": "src/Database/Seeders/"
        }
    },
    "autoload-dev": {
        "psr-4": {
            "Tests\\": "tests/"
        }
    },
    "scripts": {
        "test": "vendor/bin/phpunit",
        "check-style": "vendor/bin/pint"
    },
    "extra": {
        "laravel": {
            "providers": [
                "Maestro\\Core\\Providers\\CoreServiceProvider"
            ]
        }
    },
    "config": {
        "optimize-autoloader": true,
        "preferred-install": "dist",
        "sort-packages": true,
        "allow-plugins": {
            "pestphp/pest-plugin": true,
            "php-http/discovery": true
        }
    },
    "minimum-stability": "stable",
    "prefer-stable": true
}
